<div class="container">
  <div class="search-wrapper">
    <div class="search-bar-wrapper">
      <app-search-bar (searchCriteria)="searchByTags($event)"></app-search-bar>
    </div>
    <select class="form-control search-select" (change)="setSearchMode($event)">
      <option value="all">All</option>
      <option value="music">Music</option>
      <option value="books">Books</option>
    </select>
  </div>
  <div class="category-header">
    <div class="header-text">Hot Music Releases</div>
    <div class="line"><mat-divider></mat-divider></div>
  </div>
  <div class="songs">
    <div class="grid-wrapper">
      <div class="song-grid">
        <app-song
          *ngFor="let song of songs; let i = index"
          [song]="song"
        ></app-song>
      </div>
    </div>
  </div>
  <div class="category-header">
    <div class="header-text">New Available Books</div>
    <div class="line"><mat-divider></mat-divider></div>
  </div>
  <div class="books">
    <div class="grid-wrapper">
      <div class="book-grid">
        <app-book
          *ngFor="let book of books; let i = index"
          [book]="book"
        ></app-book>
      </div>
    </div>
  </div>
</div>
